FAQ : Installation

Comment débuter ?

  1. Téléchargez le code.

  2. Installez Django (lisez le guide d’installation).

  3. Parcourez le tutoriel.

  4. Consultez le reste de la documentation et posez des questions si vous rencontrez un problème.

Quels sont les prérequis de Django ?

Django nécessite Python. Consultez le tableau dans la question suivante pour connaître les versions de Python qui conviennent aux versions de Django. D’autres bibliothèques Python peuvent être nécessaires pour certains besoins, mais vous serez averti par une erreur le cas échéant.

Pour un environnement de développement – si vous souhaitez juste tester Django – vous n’avez pas besoin d’avoir un serveur Web installé; Django est livré avec son propre serveur léger de développement. Pour un environnement de production, Django suit la spécification WSGI, PEP 3333, ce qui signifie qu’il peut fonctionner sur une variété de plates-formes serveur. Voir Déploiement Django pour des alternatives populaires.

Si vous souhaitez utiliser Django avec une base de données, ce qui est probablement le cas, vous aurez également besoin d’un moteur de base de données. PostgreSQL est recommandé, parce que nous sommes des admirateurs de PostgreSQL, mais MySQL, SQLite 3 et Oracle sont également pris en charge.

Quelle version de Python puis-je utiliser avec Django ?

Version de Django

Versions de Python

1.8

2.7, 3.2 (jusqu’à fin 2016), 3.3, 3.4, 3.5

1.9, 1.10 2.7, 3.4, 3.5

Pour chaque version de Python, seule la dernière publication micro (A.B.C) est officiellement prise en charge. Cette dernière publication est toujours disponible sur la page de téléchargement de Python.

En règle générale, nous prenons en charge une version de Python jusqu’à et y compris la première version de Django LTS dont la prise en charge de sécurité se termine après la prise en charge de sécurité de cette version de Python. Par exemple, la prise en charge de la sécurité de Python 3.3 se termine en septembre 2017 et la prise en charge de la sécurité de Django 1.8 LTS se termine en avril 2018. Ainsi, Django 1.8 est la dernière version prenant en charge Python 3.3.

Quelle version de Python devrais-je utiliser avec Django ?

Depuis Django 1.6, la prise en charge de Python 3 est considérée comme stable et vous pouvez l’utiliser en toute sécurité en production. Voir aussi Passage à Python 3. Cependant, la communauté est toujours dans le processus de migration à Python 3 de paquets tiers et d’applications.

Si vous commencez un nouveau projet et que les dépendances que vous prévoyez d’utiliser fonctionnent avec Python 3, vous devriez utiliser Python 3. Si elles ne le sont pas, envisagez de contribuer aux efforts de migration, ou restez à Python 2.

Comme les nouvelles versions de Python sont souvent plus rapides, ont plus de fonctionnalités et sont mieux prises en charge, toutes choses étant égales par ailleurs, nous vous recommandons d’utiliser la dernière version 2.x.y ou 3.x.y.

Vous ne perdez rien dans Django en utilisant une version antérieure, mais vous ne profitez pas des améliorations et optimisations des nouvelles publications de Python. Les applications tierces fonctionnant avec Django sont, bien entendu, libres de fixer leurs propres exigences de version.

Dois-je utiliser la version stable ou la version de développement ?

En règle générale, si vous utilisez du code en production, vous devriez utiliser la version stable. L’équipe Django publie une version complète stable tous les neuf mois environ, avec des mises à jour correctives entre chaque version. Ces versions stables contiennent l’API couverte par nos garanties de rétrocompatibilité ; si vous écrivez du code avec les versions stables, vous ne devriez pas avoir de soucis de mise à jour lors de la sortie de la version officielle suivante.

Back to Top